This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280289 - Spacewalk-repo-sync fails with AttributeError: 'module' object has no attribute 'add_metaclass'
Spacewalk-repo-sync fails with AttributeError: 'module' object has no attribu...
Status: CLOSED NOTABUG
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.4
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tomas Lestach
Gennadii Altukhov
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2015-11-11 07:17 EST by iulian
Modified: 2017-09-28 14:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 05:31:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn_taskomatic_daemon.log (9.07 KB, text/plain)
2015-11-11 07:17 EST, iulian
no flags Details

  None (edit)
Description iulian 2015-11-11 07:17:51 EST
Created attachment 1092663 [details]
rhn_taskomatic_daemon.log

Description of problem:

The spacewalk-repo-sync fails.This problem appeared after latest updates, I think is related with epel. I've attached also the rhn_taskomatic log

How to reproduce:
1. It can be reproduced on SW 2.4 or 2.3 on Centos 7 (7.1.1503) with latest updates by running:

/usr/bin/spacewalk-repo-sync --type=yum --channel=centos7_base_ch

OR 

2 . On fresh SW install of 2.3 or 2.4 on centos 7.1 and same result.
    On centos 6 Sw 2.4  works fine.


Results:
/usr/bin/spacewalk-repo-sync --type=yum --channel=centos7_base_ch
======================================
| Channel: centos7_base_ch
======================================
Traceback (most recent call last):
  File "/usr/bin/spacewalk-repo-sync", line 218, in <module>
    sys.exit(abs(main() or 0))
  File "/usr/bin/spacewalk-repo-sync", line 210, in main
    latest=options.latest)
  File "/usr/lib/python2.7/site-packages/spacewalk/satellite_tools/reposync.py", line 174, in __init__
    self.repo_plugin = self.load_plugin(repo_type)
  File "/usr/lib/python2.7/site-packages/spacewalk/satellite_tools/reposync.py", line 241, in load_plugin
    mod = __import__('spacewalk.satellite_tools.repo_plugins', globals(), locals(), [name])
  File "/usr/lib/python2.7/site-packages/spacewalk/satellite_tools/repo_plugins/__init__.py", line 18, in <module>
    from spacewalk.server import rhnPackageUpload
  File "/usr/lib/python2.7/site-packages/spacewalk/server/rhnPackageUpload.py", line 20, in <module>
    from spacewalk.common import rhn_mpm, rhn_deb, rhn_pkg
  File "/usr/lib/python2.7/site-packages/spacewalk/common/rhn_deb.py", line 23, in <module>
    from debian import debfile
  File "/usr/lib/python2.7/site-packages/debian/debfile.py", line 27, in <module>
    from debian.deb822 import Deb822
  File "/usr/lib/python2.7/site-packages/debian/deb822.py", line 1481, in <module>
    @six.add_metaclass(_ClassInitMeta)
AttributeError: 'module' object has no attribute 'add_metaclass
Comment 1 Sune Beermann 2015-11-13 05:41:03 EST
I see the same thing, upgraded my CentOS 7 install and spacewalk broke, both 2.3 and 2.4. Reinstalled to CentOS 6 and everything is working as expected.
Comment 2 Gennadii Altukhov 2016-01-11 04:35:02 EST
Taking...
Comment 3 iulian 2016-01-11 05:23:09 EST
After the latest centos 7 updates this issue has gone. Thanks for the involvement. Please close the call as issue doesn't manifests anymore.
Comment 4 Gennadii Altukhov 2016-01-11 05:31:22 EST
Thank you for the confirmation.
Comment 5 Eric Herget 2017-09-28 14:08:40 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.